# Retrieve a Trigger

Retrieve a Trigger.

Endpoint: GET /v1/orgs/{org}/projects/{project}/pipelines/{pipeline}/triggers/{trigger}
Version: 1.0
Security: x-api-key

## Path parameters:

  - `org` (string, required)
    Organization identifier

  - `project` (string, required)
    Project identifier

  - `pipeline` (string, required)
    Pipeline identifier

  - `trigger` (string, required)
    Trigger identifier

## Header parameters:

  - `Harness-Account` (string)
    Identifier field of the account the resource is scoped to.

## Response 200 fields (application/json):

  - `identifier` (string)
    Trigger identifier

  - `name` (string)
    Trigger name

  - `org` (string)
    Organization identifier

  - `project` (string)
    Project identifier

  - `pipeline` (string)
    Pipeline identifier

  - `description` (string)
    Trigger description

  - `trigger` (object)
    Trigger object

  - `trigger.enabled` (boolean)

  - `trigger.encrypted_webhook_secret_identifier` (string)

  - `trigger.input_set_refs` (array)

  - `trigger.inputs` (string)
    input yaml to be used in the pipeline

  - `trigger.pipeline_branch_name` (string)

  - `trigger.source` (object, required)

  - `trigger.source.poll_interval` (string)

  - `trigger.source.type` (string, required)
    This specifies the type of the trigger
    Enum: "Webhook", "Artifact", "Manifest", "Scheduled", "MultiRegionArtifact"

  - `trigger.source.webhook_id` (string)

  - `trigger.stages_to_execute` (array)

  - `trigger.tags` (object)


